org.apache.ignite.mxbean

## Interface MemoryMetricsMXBean

All Superinterfaces:
  MemoryMetrics

Deprecated.
Part of old API. Metrics are accessible through `DataRegionMetricsMXBean`.

    @MXBeanDescription(value="MBean that provides access to MemoryMetrics of a local Apache Ignite node.")
     @Deprecated
    public interface MemoryMetricsMXBean
    extends MemoryMetrics

This interface defines a JMX view on `MemoryMetrics`.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `disableMetrics()` Deprecated. Disables memory metrics collection on an Apache Ignite node.
`void` `enableMetrics()` Deprecated. Enables memory metrics collection on an Apache Ignite node.
`float` `getAllocationRate()` Deprecated. Gets pages allocation rate of a memory region.
`long` `getDirtyPages()` Deprecated. Gets the number of dirty pages (pages which contents is different from the current persistent storage state).
`float` `getEvictionRate()` Deprecated. Gets eviction rate of a given memory region.
`int` `getInitialSize()` Deprecated. Gets initial memory region size defined by its `MemoryPolicyConfiguration`.
`float` `getLargeEntriesPagesPercentage()` Deprecated. Gets percentage of pages that are fully occupied by large entries that go beyond page size.
`int` `getMaxSize()` Deprecated. Maximum memory region size defined by its `MemoryPolicyConfiguration`.
`String` `getName()` Deprecated. A name of a memory region the metrics are collected for.
`float` `getPagesFillFactor()` Deprecated. Gets the percentage of space that is still free and can be filled in.
`float` `getPagesReplaceRate()` Deprecated. Gets rate (pages per second) at which pages get replaced with other pages from persistent storage.
`long` `getPhysicalMemoryPages()` Deprecated. Gets total number of pages currently loaded to the RAM.
`String` `getSwapFilePath()` Deprecated. A path to the memory-mapped files the memory region defined by `MemoryPolicyConfiguration` will be mapped to.
`long` `getTotalAllocatedPages()` Deprecated. Gets a total number of allocated pages related to the memory policy.
`void` `rateTimeInterval(long rateTimeInterval)` Deprecated. Sets time interval for `getAllocationRate()` and `getEvictionRate()` monitoring purposes.
`void` `subIntervals(int subInts)` Deprecated. Sets a number of sub-intervals the whole `rateTimeInterval(long)` will be split into to calculate `getAllocationRate()` and `getEvictionRate()` rates (5 by default).

### Method Detail

#### getName

    @MXBeanDescription(value="A name of a memory region the metrics are collected for.")
    String getName()

Deprecated.
A name of a memory region the metrics are collected for.

Specified by:
  `getName` in interface `MemoryMetrics`
Returns:
  Name of the memory region.

#### getInitialSize

    @MXBeanDescription(value="Initial memory region size defined by its memory policy.")
    int getInitialSize()

Deprecated.
Gets initial memory region size defined by its `MemoryPolicyConfiguration`.

Returns:
  Initial size in MB.

#### getMaxSize

    @MXBeanDescription(value="Maximum memory region size defined by its memory policy.")
    int getMaxSize()

Deprecated.
Maximum memory region size defined by its `MemoryPolicyConfiguration`.

Returns:
  Maximum size in MB.

#### getSwapFilePath

    @MXBeanDescription(value="Path to the memory-mapped files.")
    String getSwapFilePath()

Deprecated.
A path to the memory-mapped files the memory region defined by `MemoryPolicyConfiguration` will be mapped to.

Returns:
  Path to the memory-mapped files.

#### getTotalAllocatedPages

    @MXBeanDescription(value="Total number of allocated pages.")
    long getTotalAllocatedPages()

Deprecated.
Gets a total number of allocated pages related to the memory policy. When persistence is disabled, this metric shows the total number of pages in memory. When persistence is enabled, this metric shows the total number of pages in memory and on disk.

Specified by:
  `getTotalAllocatedPages` in interface `MemoryMetrics`
Returns:
  Total number of allocated pages.

#### getAllocationRate

    @MXBeanDescription(value="Allocation rate (pages per second) averaged across rateTimeInternal.")
    float getAllocationRate()

Deprecated.
Gets pages allocation rate of a memory region.

Specified by:
  `getAllocationRate` in interface `MemoryMetrics`
Returns:
  Number of allocated pages per second.

#### getEvictionRate

    @MXBeanDescription(value="Eviction rate (pages per second).")
    float getEvictionRate()

Deprecated.
Gets eviction rate of a given memory region.

Specified by:
  `getEvictionRate` in interface `MemoryMetrics`
Returns:
  Number of evicted pages per second.

#### getLargeEntriesPagesPercentage

    @MXBeanDescription(value="Percentage of pages that are fully occupied by large entries that go beyond page size.")
    float getLargeEntriesPagesPercentage()

Deprecated.
Gets percentage of pages that are fully occupied by large entries that go beyond page size. The large entities are split into fragments in a way so that each fragment can fit into a single page.

Specified by:
  `getLargeEntriesPagesPercentage` in interface `MemoryMetrics`
Returns:
  Percentage of pages fully occupied by large entities.

#### getPagesFillFactor

    @MXBeanDescription(value="Percentage of space that is still free and can be filled in.")
    float getPagesFillFactor()

Deprecated.
Gets the percentage of space that is still free and can be filled in.

Specified by:
  `getPagesFillFactor` in interface `MemoryMetrics`
Returns:
  The percentage of space that is still free and can be filled in.

#### getDirtyPages

    @MXBeanDescription(value="Number of pages in memory not yet synchronized with persistent storage.")
    long getDirtyPages()

Deprecated.
Gets the number of dirty pages (pages which contents is different from the current persistent storage state). This metric is enabled only for Ignite nodes with enabled persistence.

Specified by:
  `getDirtyPages` in interface `MemoryMetrics`
Returns:
  Current number of dirty pages.

#### getPagesReplaceRate

    @MXBeanDescription(value="Rate at which pages in memory are replaced with pages from persistent storage (pages per second).")
    float getPagesReplaceRate()

Deprecated.
Gets rate (pages per second) at which pages get replaced with other pages from persistent storage. The rate effectively represents the rate at which pages get 'evicted' in favor of newly needed pages. This metric is enabled only for Ignite nodes with enabled persistence.

Specified by:
  `getPagesReplaceRate` in interface `MemoryMetrics`
Returns:
  Pages per second replace rate.

#### getPhysicalMemoryPages

    @MXBeanDescription(value="Number of pages residing in physical RAM.")
    long getPhysicalMemoryPages()

Deprecated.
Gets total number of pages currently loaded to the RAM. When persistence is disabled, this metric is equal to `MemoryMetrics.getTotalAllocatedPages()`.

Specified by:
  `getPhysicalMemoryPages` in interface `MemoryMetrics`
Returns:
  Total number of pages loaded to RAM.

#### enableMetrics

    @MXBeanDescription(value="Enables memory metrics collection on an Apache Ignite node.")
    void enableMetrics()

Deprecated.
Enables memory metrics collection on an Apache Ignite node.

#### disableMetrics

    @MXBeanDescription(value="Disables memory metrics collection on an Apache Ignite node.")
    void disableMetrics()

Deprecated.
Disables memory metrics collection on an Apache Ignite node.

#### rateTimeInterval

    @MXBeanDescription(value="Sets time interval for pages allocation and eviction monitoring purposes.")
    void rateTimeInterval(@MXBeanParameter(name="rateTimeInterval",description="Time interval (in milliseconds) to set.")
                                                                                                                                long rateTimeInterval)

Deprecated.
Sets time interval for `getAllocationRate()` and `getEvictionRate()` monitoring purposes.

For instance, after setting the interval to 60 seconds, subsequent calls to `getAllocationRate()` will return average allocation rate (pages per second) for the last minute.

Parameters:
  `rateTimeInterval` - Time interval (in milliseconds) used for allocation and eviction rates calculations.

#### subIntervals

    @MXBeanDescription(value="Sets a number of sub-intervals to calculate allocation and eviction rates metrics.")
    void subIntervals(@MXBeanParameter(name="subInts",description="Number of subintervals to set.")
                                                                                                                                     int subInts)

Deprecated.
Sets a number of sub-intervals the whole `rateTimeInterval(long)` will be split into to calculate `getAllocationRate()` and `getEvictionRate()` rates (5 by default).

Setting it to a bigger value will result in more precise calculation and smaller drops of `getAllocationRate()` metric when next sub-interval has to be recycled but introduces bigger calculation overhead.

Parameters:
  `subInts` - A number of sub-intervals.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022